package PureMessage::Support::ChangeIdentity::Utils;

use strict;
use warnings;

use base 'Exporter';
our @EXPORT_OK = qw(backup_file xlog xdie);

use File::Copy qw(copy);
use POSIX qw(strftime);
use Carp qw(croak);

my $logger;

sub xlog {
    my $string = shift;
    my $level  = shift || 'INFO';
    unless ($logger) {
        require PureMessage::Logger;
        $logger = PureMessage::Logger->new(
            ident  => 'pmx-location',
        );
    }
    $logger->log($level, $string);
    print "$string\n" unless $level eq 'DEBUG';
}

sub xdie {
    my $string = shift;
    xlog($string, 'ERROR');
    croak $string;  # backtraces are cool
}

sub backup_file {
    my ($full_path) = @_;

    my $timestamp = strftime("%Y-%m-%d-%H:%M:%S", localtime);
    my $backup_path = "$full_path.bak.$timestamp";

    copy($full_path, $backup_path); 

    return $backup_path;
}

1;
