package PureMessage::Support::Data::license;
use strict;
use PureMessage::_sys;
use PureMessage::Config;
use PureMessage::Support::Data::Base qw(add add_group get_log get_file get_program_output);
use PureMessage::Support::Config qw( %support_config);


my %info = ( 'lic' => { description => 'PureMessage License Information',
                        text=>\&getLicenseInfo,
                        name=>"License Information",    
                      },
            ); 

add('pmx',%info);

sub getLicenseInfo {
    my $info;
    my @lic;
    my $text;

    open FV, $PureMessage::Config::lic_file or return;
    while( <FV> ) {
	chomp;
	my @parts = split(/\|/,$_);
	shift(@parts); # discard the sensitive bit
	my $href;
	$href->{'COMPONENT'} = shift(@parts);

	my @components;
	
	foreach my $part (@parts) {
	    my $subhref;
	    my @kv = split('#',$part);
	    $subhref->{KEY} = $kv[0];
	    $subhref->{VALUE} = $kv[1];
	    push(@components,$subhref);
	}
	$href->{LICENSE} = \@components;
	push(@lic,$href);
    }
    close FV;
  
    foreach my $lic (@lic) {
	$text .= "$lic->{COMPONENT}\n";
	foreach my $sl (@{$lic->{LICENSE}}) {
	    $text .=  "\t$sl->{KEY}: $sl->{VALUE}\n";
	}
	$text .=  "\n";
    }
    return $text;
}

1;
